# Amiga Library Services - CD Administration Makefile
#
# This Makefile goes in the source directory of the GNU tree.

SHELL =		/bin/sh
BBSROOT =	/BBS
BBSDIR =	$(BBSROOT)/GNU

all:

# Copy source archives to the BBS section of the CD.  There must
# be an associated product info file or the copy is not done.

BBS:		bbsdir
		for archive in *.lha; \
		do \
			if test -f $$archive.pi; then \
				echo "cp $$archive.pi $(BBSDIR)/$$archive.pi"; \
				cp $$archive.pi $(BBSDIR)/$$archive.pi; \
				echo "cp $$archive $(BBSDIR)/$$archive"; \
				cp $$archive $(BBSDIR)/$$archive; \
			else \
				echo "WARNING - missing $$archive.pi, $$archive not copied."; \
			fi; \
		done

bbsdir:
		if test -d $(BBSDIR); then true; else mkdir -p $(BBSDIR); fi

# Clean up this directory.

clean:
		rm -f *!

clobber:	clean

